## GalView GalView |

## Functions

void | gal_view_load ()
void | gal_view_save ()
const gchar * | gal_view_get_title ()
void | gal_view_set_title ()
GalView * | gal_view_clone ()
void | gal_view_changed ()

## Properties

gchar * | title | Read / Write

## Signals

void | changed | Run Last

## Object Hierarchy

        GObject
        ╰── GalView
            ╰── GalViewEtable

## Description

## Functions

### gal_view_load ()

    void
    gal_view_load (GalView *view,
                   const gchar *filename);

#### Parameters

view | The view to load to |
filename | The file to load from |

### gal_view_save ()

    void
    gal_view_save (GalView *view,
                   const gchar *filename);

#### Parameters

view | The view to save |
filename | The file to save to |

### gal_view_get_title ()

    const gchar *
    gal_view_get_title (GalView *view);

#### Parameters

view | The view to query. |

#### Returns

The title of the view.

### gal_view_set_title ()

    void
    gal_view_set_title (GalView *view,
                        const gchar *title);

#### Parameters

view | The view to set. |
title | The new title value. |

### gal_view_clone ()

    GalView *
    gal_view_clone (GalView *view);

#### Parameters

view | The view to clone. |

#### Returns

The clone.

### gal_view_changed ()

    void
    gal_view_changed (GalView *view);

#### Parameters

view | The view that changed. |

## Types and Values

## Property Details

### The `“title”` property

      “title”                    gchar *

View Title.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“changed”` signal

    void
    user_function (GalView *galview,
                   gpointer user_data)

Flags: Run Last